#Requires AutoHotkey v2.0

; Define the function that checks for specific processes and minimizes a window
CheckAndMinimize() {
    ; Check if either "BSManager.exe" or "vrmonitor.exe" processes are running
    if ProcessExist("BSManager.exe") or ProcessExist("vrmonitor.exe") {
        ; Check if the Oculus Client window exists
        oculusClient := WinExist("ahk_exe OculusClient.exe")
        
        ; If the Oculus Client window exists, minimize it
        if oculusClient
            WinMinimize("ahk_id " . oculusClient)
    }
}

; Set a timer to call the CheckAndMinimize function every 5000 milliseconds (5 seconds)
SetTimer(CheckAndMinimize, 5000)